Get the invoice settings for the given account

http
GET https://services.leadconnectorhq.com/invoices/settings

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYes

Responses

200 - Successful response
  • altId (string): Account Id Example: 6578278e879ad2646715ba9c

  • altType (string): Alt Type Possible values: 'account' Example: account

  • termsNote (string): Terms and conditions for invoices Example: Payment is due within 30 days.

  • estimatesTermsNote (string): Terms and conditions for estimates Example: This estimate is valid for 30 days.

  • title (string): Title for invoices Example: INVOICE

  • estimatesTitle (string): Title for estimates Example: ESTIMATE

  • invoiceNumberPrefix (string): Prefix for invoice numbers Example: INV-

  • estimateNumberPrefix (string): Prefix for estimate numbers Example: EST-

  • dueAfterXDays (number): Number of days after which invoice is due Example: 30

  • estimatesExpireAfterXDays (number): Number of days after which estimate expires Example: 30

  • minimumPercentagePartialPayment (number): Minimum percentage for partial payment Example: 25

  • customFields (string[]): Custom fields array

  • customNotification (object): Custom notification settings

  • businessDetails (object): Business details

  • senderConfiguration (object): Sender configuration

  • productSettings (object): Product settings

  • reminderSettings (object): Reminder settings

  • lateFeesConfiguration (object): Late fees configuration

  • tipsConfiguration (object): Tips configuration

  • paymentMethods (object): Payment methods configuration

json
{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "termsNote": "Payment is due within 30 days.",
  "estimatesTermsNote": "This estimate is valid for 30 days.",
  "title": "INVOICE",
  "estimatesTitle": "ESTIMATE",
  "invoiceNumberPrefix": "INV-",
  "estimateNumberPrefix": "EST-",
  "dueAfterXDays": 30,
  "estimatesExpireAfterXDays": 30,
  "minimumPercentagePartialPayment": 25,
  "customFields": [
    "6578278e879ad2646715baxc",
    "6901e9fb77ac4d701ba0b996"
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/invoices/settings' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?